#include<stdio.h>
#include<netdb.h>
#include<netinet/in.h>
#include<sys/types.h>
#include<sys/socket.h>
#define TCP_PORT 60000
#define SERVER_IP "127.0.0.1"

int main(int argc, char *argv[])
{
	struct sockaddr_in server,client;
	struct hostent *host_info;
	int sockfd, sndi,bnd;
	char *server_name;

	server_name = (argc > 1) ? argv[1]: "localhost";
	if(sockfd=socket(AF_INET, SOCK_STREAM, 0)<0)
	{	
		printf("Socket creation failure\n");
	}	
	else
	{
	printf("Socket creation succeeded\n");
        printf("Hostname=%s\n",server_name);
	}
	host_info=gethostbyname(server_name);
	if(host_info==NULL){
	fprintf(stderr,"%s: unknown host:%s\n", argv[0],server_name);
	}
	memset(&(client),'\0',sizeof(client));
	client.sin_family=AF_INET;
	client.sin_addr.s_addr=inet_addr(SERVER_IP);
	client.sin_port=htons(TCP_PORT);
	bzero(&(client.sin_zero),8);	
	if(connect(sockfd,(struct sockaddr *)&server,sizeof(struct sockaddr))<0){
	printf("Error in connecting\n");
 	exit(0);
	}
	printf("Connected to server %s\n", server_name);
	if(sndi=send(sockfd,"Hello World!\n", 13, 0)>0)
		printf("Sent %d bytes\n",sndi);
	close(sockfd);
printf("Socket closed\n");
	}





